<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <form class="ui form" method="post" th:object="${setting}" id="setting-form">
    <input type="hidden" th:field="*{id}" />
    <input type="hidden" th:field="*{schedule}" />
    <input th:field="*{created}" type="hidden" />
    <input th:field="*{createdBy}" type="hidden" />
    <div class="ui grid">
      <div class="row">
        <div class="column">
          <h2 class="ui header">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SCHEDULES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SCHEDULES}}"></span>
          </h2>
          <div class="fields">
            <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDAY}}, 
					                                                   field = 'startingDay', 
					                                                   required = true,
					                                                   value = ${#dates.format(setting.startingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'three wide'
					                                                   )" />
            <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDAY}}, 
					                                                   field = 'endingDay', 
					                                                   required = true,
					                                                   value = ${#dates.format(setting.endingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'three wide'
					                                                   )" />
          </div>
          <div class="fields">
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_MONDAY}}, 
					                                                   field = 'monday', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_TUESDAY}}, 
					                                                   field = 'tuesday', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_WEDNESDAY}}, 
					                                                   field = 'wednesday', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_THURSDAY}}, 
					                                                   field = 'thursday', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_FRIDAY}}, 
					                                                   field = 'friday', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_SATURDAY}}, 
					                                                   field = 'saturday', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_SUNDAY}}, 
					                                                   field = 'sunday', 
					                                                   required = true, 
					                                                   placeholder = '',
					                                                   maxlength = 2,
					                                                   columnsize = 'two wide'
					                                                   )" />
          </div>
          <br />
          <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                    icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                    icon1url = ''
                                                                    )" />
        </div>
      </div>
    </div>
    <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
  </form>
</body>
</html>
